/*===========================================================================*/
/*   (Unsafe/bm.scm)                                                         */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Unsafe/bm.scm -indent -o objs/obj_u/Unsafe/bm.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___BM_TYPE_DEFINITIONS
#define BGL___BM_TYPE_DEFINITIONS
#endif													// BGL___BM_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62bmhzd2stringzb0zz__bmz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__bmz00 = BUNSPEC;
	BGL_EXPORTED_DECL long BGl_bmhzd2mmapzd2zz__bmz00(obj_t, obj_t, long);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__bmz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL long BGl_bmzd2mmapzd2zz__bmz00(obj_t, obj_t, long);
	static obj_t BGl_z62bmzd2mmapzb0zz__bmz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_symbol1872z00zz__bmz00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zz__bmz00(void);
	static obj_t BGl_genericzd2initzd2zz__bmz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zz__bmz00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__bmz00(void);
	static bool_t BGl_iszd2prefixzf3z21zz__bmz00(obj_t, long);
	static obj_t BGl_objectzd2initzd2zz__bmz00(void);
	extern obj_t BGl_makezd2u32vectorzd2zz__srfi4z00(long, uint32_t);
	BGL_EXPORTED_DECL obj_t BGl_bmzd2tablezd2zz__bmz00(obj_t);
	static bool_t BGl_makezd2delta1zd2zz__bmz00(obj_t, obj_t);
	static bool_t BGl_makezd2delta2zd2zz__bmz00(obj_t, obj_t);
	static obj_t BGl_z62bmhzd2mmapzb0zz__bmz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static long BGl_suffixzd2lengthzd2zz__bmz00(obj_t, long);
	static obj_t BGl_methodzd2initzd2zz__bmz00(void);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62bmhzd2tablezb0zz__bmz00(obj_t, obj_t);
	static obj_t BGl_z62bmzd2stringzb0zz__bmz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62bmzd2tablezb0zz__bmz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_bmhzd2stringzd2zz__bmz00(obj_t, obj_t, long);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_bmhzd2tablezd2zz__bmz00(obj_t);
	BGL_EXPORTED_DECL long BGl_bmzd2stringzd2zz__bmz00(obj_t, obj_t, long);
	static obj_t *__cnst;


	   
		 
		BGL_DEFINE_STRING(BGl_string1870z00zz__bmz00,
		BgL_bgl_string1870za700za7za7_1886za7, "bm", 2);
	      BGL_DEFINE_STRING(BGl_string1871z00zz__bmz00,
		BgL_bgl_string1871za700za7za7_1887za7, "Illegal bm-table", 16);
	      BGL_DEFINE_STRING(BGl_string1873z00zz__bmz00,
		BgL_bgl_string1873za700za7za7_1888za7, "u32vector", 9);
	      BGL_DEFINE_STRING(BGl_string1874z00zz__bmz00,
		BgL_bgl_string1874za700za7za7_1889za7, "&bm-mmap", 8);
	      BGL_DEFINE_STRING(BGl_string1875z00zz__bmz00,
		BgL_bgl_string1875za700za7za7_1890za7, "epair", 5);
	      BGL_DEFINE_STRING(BGl_string1876z00zz__bmz00,
		BgL_bgl_string1876za700za7za7_1891za7, "mmap", 4);
	      BGL_DEFINE_STRING(BGl_string1877z00zz__bmz00,
		BgL_bgl_string1877za700za7za7_1892za7, "belong", 6);
	      BGL_DEFINE_STRING(BGl_string1878z00zz__bmz00,
		BgL_bgl_string1878za700za7za7_1893za7, "&bm-string", 10);
	      BGL_DEFINE_STRING(BGl_string1879z00zz__bmz00,
		BgL_bgl_string1879za700za7za7_1894za7, "bint", 4);
	      BGL_DEFINE_STRING(BGl_string1880z00zz__bmz00,
		BgL_bgl_string1880za700za7za7_1895za7, "&bmh-table", 10);
	      BGL_DEFINE_STRING(BGl_string1881z00zz__bmz00,
		BgL_bgl_string1881za700za7za7_1896za7, "bmh", 3);
	      BGL_DEFINE_STRING(BGl_string1882z00zz__bmz00,
		BgL_bgl_string1882za700za7za7_1897za7, "Illegal bmh-table", 17);
	      BGL_DEFINE_STRING(BGl_string1883z00zz__bmz00,
		BgL_bgl_string1883za700za7za7_1898za7, "&bmh-mmap", 9);
	      BGL_DEFINE_STRING(BGl_string1884z00zz__bmz00,
		BgL_bgl_string1884za700za7za7_1899za7, "&bmh-string", 11);
	      BGL_DEFINE_STRING(BGl_string1885z00zz__bmz00,
		BgL_bgl_string1885za700za7za7_1900za7, "__bm", 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bmzd2tablezd2envz00zz__bmz00,
		BgL_bgl_za762bmza7d2tableza7b01901za7, BGl_z62bmzd2tablezb0zz__bmz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bmhzd2stringzd2envz00zz__bmz00,
		BgL_bgl_za762bmhza7d2stringza71902za7, BGl_z62bmhzd2stringzb0zz__bmz00, 0L,
		BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bmzd2stringzd2envz00zz__bmz00,
		BgL_bgl_za762bmza7d2stringza7b1903za7, BGl_z62bmzd2stringzb0zz__bmz00, 0L,
		BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bmhzd2mmapzd2envz00zz__bmz00,
		BgL_bgl_za762bmhza7d2mmapza7b01904za7, BGl_z62bmhzd2mmapzb0zz__bmz00, 0L,
		BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bmzd2mmapzd2envz00zz__bmz00,
		BgL_bgl_za762bmza7d2mmapza7b0za71905z00, BGl_z62bmzd2mmapzb0zz__bmz00, 0L,
		BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bmhzd2tablezd2envz00zz__bmz00,
		BgL_bgl_za762bmhza7d2tableza7b1906za7, BGl_z62bmhzd2tablezb0zz__bmz00, 0L,
		BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1867z00zz__bmz00,
		BgL_bgl_string1867za700za7za7_1907za7, "/tmp/bigloo/runtime/Unsafe/bm.scm",
		33);
	      BGL_DEFINE_STRING(BGl_string1868z00zz__bmz00,
		BgL_bgl_string1868za700za7za7_1908za7, "&bm-table", 9);
	      BGL_DEFINE_STRING(BGl_string1869z00zz__bmz00,
		BgL_bgl_string1869za700za7za7_1909za7, "bstring", 7);

/* contant bindings */
	static void bgl_constant_bindings()
	{
		BGL_BIND_STRING(BGl_string1869z00zz__bmz00,
			BgL_bgl_string1869za700za7za7_1909za7);
		BGL_BIND_STRING(BGl_string1868z00zz__bmz00,
			BgL_bgl_string1868za700za7za7_1908za7);
		BGL_BIND_STRING(BGl_string1867z00zz__bmz00,
			BgL_bgl_string1867za700za7za7_1907za7);
		BGL_BIND_PROCEDURE(BGl_bmhzd2tablezd2envz00zz__bmz00,
			BgL_bgl_za762bmhza7d2tableza7b1906za7);
		BGL_BIND_PROCEDURE(BGl_bmzd2mmapzd2envz00zz__bmz00,
			BgL_bgl_za762bmza7d2mmapza7b0za71905z00);
		BGL_BIND_PROCEDURE(BGl_bmhzd2mmapzd2envz00zz__bmz00,
			BgL_bgl_za762bmhza7d2mmapza7b01904za7);
		BGL_BIND_PROCEDURE(BGl_bmzd2stringzd2envz00zz__bmz00,
			BgL_bgl_za762bmza7d2stringza7b1903za7);
		BGL_BIND_PROCEDURE(BGl_bmhzd2stringzd2envz00zz__bmz00,
			BgL_bgl_za762bmhza7d2stringza71902za7);
		BGL_BIND_PROCEDURE(BGl_bmzd2tablezd2envz00zz__bmz00,
			BgL_bgl_za762bmza7d2tableza7b01901za7);
		BGL_BIND_STRING(BGl_string1885z00zz__bmz00,
			BgL_bgl_string1885za700za7za7_1900za7);
		BGL_BIND_STRING(BGl_string1884z00zz__bmz00,
			BgL_bgl_string1884za700za7za7_1899za7);
		BGL_BIND_STRING(BGl_string1883z00zz__bmz00,
			BgL_bgl_string1883za700za7za7_1898za7);
		BGL_BIND_STRING(BGl_string1882z00zz__bmz00,
			BgL_bgl_string1882za700za7za7_1897za7);
		BGL_BIND_STRING(BGl_string1881z00zz__bmz00,
			BgL_bgl_string1881za700za7za7_1896za7);
		BGL_BIND_STRING(BGl_string1880z00zz__bmz00,
			BgL_bgl_string1880za700za7za7_1895za7);
		BGL_BIND_STRING(BGl_string1879z00zz__bmz00,
			BgL_bgl_string1879za700za7za7_1894za7);
		BGL_BIND_STRING(BGl_string1878z00zz__bmz00,
			BgL_bgl_string1878za700za7za7_1893za7);
		BGL_BIND_STRING(BGl_string1877z00zz__bmz00,
			BgL_bgl_string1877za700za7za7_1892za7);
		BGL_BIND_STRING(BGl_string1876z00zz__bmz00,
			BgL_bgl_string1876za700za7za7_1891za7);
		BGL_BIND_STRING(BGl_string1875z00zz__bmz00,
			BgL_bgl_string1875za700za7za7_1890za7);
		BGL_BIND_STRING(BGl_string1874z00zz__bmz00,
			BgL_bgl_string1874za700za7za7_1889za7);
		BGL_BIND_STRING(BGl_string1873z00zz__bmz00,
			BgL_bgl_string1873za700za7za7_1888za7);
		BGL_BIND_STRING(BGl_string1871z00zz__bmz00,
			BgL_bgl_string1871za700za7za7_1887za7);
		BGL_BIND_STRING(BGl_string1870z00zz__bmz00,
			BgL_bgl_string1870za700za7za7_1886za7);
	}

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;

		ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__bmz00));
		ADD_ROOT((void *) (&BGl_symbol1872z00zz__bmz00));
#undef ADD_ROOT
		if (roots_max > 0)
			GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__bmz00(long
		BgL_checksumz00_2422, char *BgL_fromz00_2423)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__bmz00))
				{
					BGl_requirezd2initializa7ationz75zz__bmz00 = BBOOL(((bool_t) 0));
					bgl_constant_bindings();
					BGl_gczd2rootszd2initz00zz__bmz00();
					BGl_cnstzd2initzd2zz__bmz00();
					BGl_importedzd2moduleszd2initz00zz__bmz00();
					return BGl_methodzd2initzd2zz__bmz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__bmz00(void)
	{
		{	/* Unsafe/bm.scm 15 */
			return (BGl_symbol1872z00zz__bmz00 =
				bstring_to_symbol(BGl_string1873z00zz__bmz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__bmz00(void)
	{
		{	/* Unsafe/bm.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* make-delta1 */
	bool_t BGl_makezd2delta1zd2zz__bmz00(obj_t BgL_delta1z00_3,
		obj_t BgL_patz00_4)
	{
		{	/* Unsafe/bm.scm 101 */
			{	/* Unsafe/bm.scm 102 */
				uint32_t BgL_notzd2foundzd2_1220;
				long BgL_patlenzd21zd2_1221;

				{	/* Unsafe/bm.scm 102 */
					long BgL_tmpz00_2434;

					BgL_tmpz00_2434 = STRING_LENGTH(BgL_patz00_4);
					BgL_notzd2foundzd2_1220 = (uint32_t) (BgL_tmpz00_2434);
				}
				BgL_patlenzd21zd2_1221 = (STRING_LENGTH(BgL_patz00_4) - 1L);
				{
					long BgL_iz00_1945;

					BgL_iz00_1945 = 0L;
				BgL_for1046z00_1944:
					if ((BgL_iz00_1945 < 256L))
						{	/* Unsafe/bm.scm 104 */
							BGL_U32VSET(BgL_delta1z00_3, BgL_iz00_1945,
								BgL_notzd2foundzd2_1220);
							BUNSPEC;
							{
								long BgL_iz00_2442;

								BgL_iz00_2442 = (BgL_iz00_1945 + 1L);
								BgL_iz00_1945 = BgL_iz00_2442;
								goto BgL_for1046z00_1944;
							}
						}
					else
						{	/* Unsafe/bm.scm 104 */
							((bool_t) 0);
						}
				}
				{
					long BgL_iz00_1231;

					BgL_iz00_1231 = 0L;
				BgL_zc3z04anonymousza31197ze3z87_1232:
					if ((BgL_iz00_1231 < BgL_patlenzd21zd2_1221))
						{	/* Unsafe/bm.scm 106 */
							{	/* Unsafe/bm.scm 107 */
								long BgL_arg1201z00_1234;
								uint32_t BgL_arg1202z00_1235;

								BgL_arg1201z00_1234 = (STRING_REF(BgL_patz00_4, BgL_iz00_1231));
								{	/* Unsafe/bm.scm 108 */
									long BgL_tmpz00_2448;

									BgL_tmpz00_2448 = (BgL_patlenzd21zd2_1221 - BgL_iz00_1231);
									BgL_arg1202z00_1235 = (uint32_t) (BgL_tmpz00_2448);
								}
								BGL_U32VSET(BgL_delta1z00_3, BgL_arg1201z00_1234,
									BgL_arg1202z00_1235);
								BUNSPEC;
							}
							{
								long BgL_iz00_2452;

								BgL_iz00_2452 = (BgL_iz00_1231 + 1L);
								BgL_iz00_1231 = BgL_iz00_2452;
								goto BgL_zc3z04anonymousza31197ze3z87_1232;
							}
						}
					else
						{	/* Unsafe/bm.scm 106 */
							return ((bool_t) 0);
						}
				}
			}
		}

	}



/* is-prefix? */
	bool_t BGl_iszd2prefixzf3z21zz__bmz00(obj_t BgL_wordz00_5, long BgL_posz00_6)
	{
		{	/* Unsafe/bm.scm 116 */
			{	/* Unsafe/bm.scm 117 */
				long BgL_suffixlenz00_1242;

				BgL_suffixlenz00_1242 = (STRING_LENGTH(BgL_wordz00_5) - BgL_posz00_6);
				{
					long BgL_iz00_1244;

					BgL_iz00_1244 = 0L;
				BgL_zc3z04anonymousza31212ze3z87_1245:
					if ((BgL_iz00_1244 < BgL_suffixlenz00_1242))
						{	/* Unsafe/bm.scm 119 */
							if (
								(STRING_REF(BgL_wordz00_5, BgL_iz00_1244) ==
									STRING_REF(BgL_wordz00_5, (BgL_posz00_6 + BgL_iz00_1244))))
								{
									long BgL_iz00_2463;

									BgL_iz00_2463 = (BgL_iz00_1244 + 1L);
									BgL_iz00_1244 = BgL_iz00_2463;
									goto BgL_zc3z04anonymousza31212ze3z87_1245;
								}
							else
								{	/* Unsafe/bm.scm 120 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* Unsafe/bm.scm 119 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* suffix-length */
	long BGl_suffixzd2lengthzd2zz__bmz00(obj_t BgL_wordz00_7, long BgL_posz00_8)
	{
		{	/* Unsafe/bm.scm 130 */
			{	/* Unsafe/bm.scm 131 */
				long BgL_wordlenzd21zd2_1257;

				BgL_wordlenzd21zd2_1257 = (STRING_LENGTH(BgL_wordz00_7) - 1L);
				{
					long BgL_iz00_1259;

					BgL_iz00_1259 = 0L;
				BgL_zc3z04anonymousza31231ze3z87_1260:
					if (
						(STRING_REF(BgL_wordz00_7,
								(BgL_posz00_8 - BgL_iz00_1259)) ==
							STRING_REF(BgL_wordz00_7,
								(BgL_wordlenzd21zd2_1257 - BgL_iz00_1259))))
						{	/* Unsafe/bm.scm 133 */
							if ((BgL_iz00_1259 < BgL_posz00_8))
								{
									long BgL_iz00_2475;

									BgL_iz00_2475 = (BgL_iz00_1259 + 1L);
									BgL_iz00_1259 = BgL_iz00_2475;
									goto BgL_zc3z04anonymousza31231ze3z87_1260;
								}
							else
								{	/* Unsafe/bm.scm 135 */
									return BgL_iz00_1259;
								}
						}
					else
						{	/* Unsafe/bm.scm 133 */
							return BgL_iz00_1259;
						}
				}
			}
		}

	}



/* make-delta2 */
	bool_t BGl_makezd2delta2zd2zz__bmz00(obj_t BgL_delta2z00_9,
		obj_t BgL_patz00_10)
	{
		{	/* Unsafe/bm.scm 179 */
			{	/* Unsafe/bm.scm 180 */
				long BgL_patlenzd21zd2_1274;

				BgL_patlenzd21zd2_1274 = (STRING_LENGTH(BgL_patz00_10) - 1L);
				{	/* Unsafe/bm.scm 180 */
					long BgL_lastzd2prefixzd2indexz00_1275;

					BgL_lastzd2prefixzd2indexz00_1275 = BgL_patlenzd21zd2_1274;
					{	/* Unsafe/bm.scm 181 */

						{
							long BgL_pz00_1278;

							BgL_pz00_1278 = BgL_patlenzd21zd2_1274;
						BgL_zc3z04anonymousza31253ze3z87_1279:
							if ((BgL_pz00_1278 >= 0L))
								{	/* Unsafe/bm.scm 183 */
									if (BGl_iszd2prefixzf3z21zz__bmz00(BgL_patz00_10,
											(BgL_pz00_1278 + 1L)))
										{	/* Unsafe/bm.scm 184 */
											BgL_lastzd2prefixzd2indexz00_1275 = (BgL_pz00_1278 + 1L);
										}
									else
										{	/* Unsafe/bm.scm 184 */
											BFALSE;
										}
									{	/* Unsafe/bm.scm 187 */
										long BgL_arg1262z00_1284;

										BgL_arg1262z00_1284 =
											(BgL_lastzd2prefixzd2indexz00_1275 +
											(BgL_patlenzd21zd2_1274 - BgL_pz00_1278));
										{	/* Unsafe/bm.scm 186 */
											uint32_t BgL_tmpz00_2487;

											BgL_tmpz00_2487 = (uint32_t) (BgL_arg1262z00_1284);
											BGL_U32VSET(BgL_delta2z00_9, BgL_pz00_1278,
												BgL_tmpz00_2487);
										} BUNSPEC;
									}
									{
										long BgL_pz00_2490;

										BgL_pz00_2490 = (BgL_pz00_1278 - 1L);
										BgL_pz00_1278 = BgL_pz00_2490;
										goto BgL_zc3z04anonymousza31253ze3z87_1279;
									}
								}
							else
								{	/* Unsafe/bm.scm 183 */
									((bool_t) 0);
								}
						}
						{
							long BgL_pz00_1290;

							BgL_pz00_1290 = 0L;
						BgL_zc3z04anonymousza31266ze3z87_1291:
							if ((BgL_pz00_1290 < BgL_patlenzd21zd2_1274))
								{	/* Unsafe/bm.scm 189 */
									{	/* Unsafe/bm.scm 190 */
										long BgL_slenz00_1293;

										BgL_slenz00_1293 =
											BGl_suffixzd2lengthzd2zz__bmz00(BgL_patz00_10,
											BgL_pz00_1290);
										if ((STRING_REF(BgL_patz00_10,
													(BgL_pz00_1290 - BgL_slenz00_1293)) ==
												STRING_REF(BgL_patz00_10,
													(BgL_patlenzd21zd2_1274 - BgL_slenz00_1293))))
											{	/* Unsafe/bm.scm 191 */
												BFALSE;
											}
										else
											{	/* Unsafe/bm.scm 193 */
												long BgL_arg1278z00_1299;
												uint32_t BgL_arg1279z00_1300;

												BgL_arg1278z00_1299 =
													(BgL_patlenzd21zd2_1274 - BgL_slenz00_1293);
												{	/* Unsafe/bm.scm 194 */
													long BgL_tmpz00_2502;

													BgL_tmpz00_2502 =
														(
														(BgL_patlenzd21zd2_1274 - BgL_pz00_1290) +
														BgL_slenz00_1293);
													BgL_arg1279z00_1300 = (uint32_t) (BgL_tmpz00_2502);
												}
												BGL_U32VSET(BgL_delta2z00_9, BgL_arg1278z00_1299,
													BgL_arg1279z00_1300);
												BUNSPEC;
									}}
									{
										long BgL_pz00_2507;

										BgL_pz00_2507 = (BgL_pz00_1290 + 1L);
										BgL_pz00_1290 = BgL_pz00_2507;
										goto BgL_zc3z04anonymousza31266ze3z87_1291;
									}
								}
							else
								{	/* Unsafe/bm.scm 189 */
									return ((bool_t) 0);
								}
						}
					}
				}
			}
		}

	}



/* bm-table */
	BGL_EXPORTED_DEF obj_t BGl_bmzd2tablezd2zz__bmz00(obj_t BgL_patz00_11)
	{
		{	/* Unsafe/bm.scm 200 */
			{	/* Unsafe/bm.scm 201 */
				obj_t BgL_delta1z00_1310;
				obj_t BgL_delta2z00_1311;

				{	/* Llib/srfi4.scm 451 */

					BgL_delta1z00_1310 =
						BGl_makezd2u32vectorzd2zz__srfi4z00(256L, (uint32_t) (0));
				}
				{	/* Unsafe/bm.scm 202 */
					long BgL_arg1295z00_1315;

					BgL_arg1295z00_1315 = STRING_LENGTH(BgL_patz00_11);
					{	/* Llib/srfi4.scm 451 */

						BgL_delta2z00_1311 =
							BGl_makezd2u32vectorzd2zz__srfi4z00(BgL_arg1295z00_1315,
							(uint32_t) (0));
				}}
				BGl_makezd2delta1zd2zz__bmz00(BgL_delta1z00_1310, BgL_patz00_11);
				BGl_makezd2delta2zd2zz__bmz00(BgL_delta2z00_1311, BgL_patz00_11);
				{	/* Unsafe/bm.scm 205 */
					obj_t BgL_res1836z00_2021;

					BgL_res1836z00_2021 =
						MAKE_YOUNG_EPAIR(BgL_delta1z00_1310, BgL_delta2z00_1311,
						BgL_patz00_11);
					return BgL_res1836z00_2021;
				}
			}
		}

	}



/* &bm-table */
	obj_t BGl_z62bmzd2tablezb0zz__bmz00(obj_t BgL_envz00_2375,
		obj_t BgL_patz00_2376)
	{
		{	/* Unsafe/bm.scm 200 */
			{	/* Unsafe/bm.scm 201 */
				obj_t BgL_auxz00_2515;

				if (STRINGP(BgL_patz00_2376))
					{	/* Unsafe/bm.scm 201 */
						BgL_auxz00_2515 = BgL_patz00_2376;
					}
				else
					{
						obj_t BgL_auxz00_2518;

						BgL_auxz00_2518 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1867z00zz__bmz00,
							BINT(9589L), BGl_string1868z00zz__bmz00,
							BGl_string1869z00zz__bmz00, BgL_patz00_2376);
						FAILURE(BgL_auxz00_2518, BFALSE, BFALSE);
					}
				return BGl_bmzd2tablezd2zz__bmz00(BgL_auxz00_2515);
			}
		}

	}



/* bm-mmap */
	BGL_EXPORTED_DEF long BGl_bmzd2mmapzd2zz__bmz00(obj_t BgL_tpz00_12,
		obj_t BgL_objz00_13, long BgL_mz00_14)
	{
		{	/* Unsafe/bm.scm 250 */
			{	/* Unsafe/bm.scm 251 */
				bool_t BgL_test1922z00_2523;

				{	/* Unsafe/bm.scm 251 */
					obj_t BgL_tmpz00_2524;

					BgL_tmpz00_2524 = CAR(BgL_tpz00_12);
					BgL_test1922z00_2523 = BGL_U32VECTORP(BgL_tmpz00_2524);
				}
				if (BgL_test1922z00_2523)
					{	/* Unsafe/bm.scm 251 */
						bool_t BgL_test1923z00_2527;

						{	/* Unsafe/bm.scm 251 */
							obj_t BgL_tmpz00_2528;

							BgL_tmpz00_2528 = CDR(BgL_tpz00_12);
							BgL_test1923z00_2527 = BGL_U32VECTORP(BgL_tmpz00_2528);
						}
						if (BgL_test1923z00_2527)
							{	/* Unsafe/bm.scm 251 */
								bool_t BgL_test1924z00_2531;

								{	/* Unsafe/bm.scm 251 */
									obj_t BgL_tmpz00_2532;

									BgL_tmpz00_2532 = CER(BgL_tpz00_12);
									BgL_test1924z00_2531 = STRINGP(BgL_tmpz00_2532);
								}
								if (BgL_test1924z00_2531)
									{	/* Unsafe/bm.scm 251 */
										obj_t BgL_patz00_1324;

										BgL_patz00_1324 = CER(BgL_tpz00_12);
										{	/* Unsafe/bm.scm 251 */
											long BgL_patlenz00_1325;

											BgL_patlenz00_1325 =
												STRING_LENGTH(((obj_t) BgL_patz00_1324));
											{	/* Unsafe/bm.scm 251 */

												if ((BgL_patlenz00_1325 == 0L))
													{	/* Unsafe/bm.scm 251 */
														return (long) ((-1L));
													}
												else
													{	/* Unsafe/bm.scm 251 */
														obj_t BgL_delta1z00_1327;
														obj_t BgL_delta2z00_1328;
														long BgL_strlenz00_1329;

														BgL_delta1z00_1327 = CAR(BgL_tpz00_12);
														BgL_delta2z00_1328 = CDR(BgL_tpz00_12);
														BgL_strlenz00_1329 = BGL_MMAP_LENGTH(BgL_objz00_13);
														{	/* Unsafe/bm.scm 251 */
															long BgL_g1057z00_1330;

															{	/* Unsafe/bm.scm 251 */
																long BgL_za71za7_2032;

																BgL_za71za7_2032 = (long) (BgL_mz00_14);
																BgL_g1057z00_1330 =
																	(BgL_za71za7_2032 +
																	(BgL_patlenz00_1325 - 1L));
															}
															{
																long BgL_iz00_1332;

																BgL_iz00_1332 = BgL_g1057z00_1330;
															BgL_zc3z04anonymousza31304ze3z87_1333:
																{	/* Unsafe/bm.scm 251 */
																	bool_t BgL_test1926z00_2547;

																	{	/* Unsafe/bm.scm 251 */
																		long BgL_n1z00_2034;
																		long BgL_n2z00_2035;

																		BgL_n1z00_2034 = BgL_iz00_1332;
																		BgL_n2z00_2035 =
																			(long) (BgL_strlenz00_1329);
																		BgL_test1926z00_2547 =
																			(BgL_n1z00_2034 < BgL_n2z00_2035);
																	}
																	if (BgL_test1926z00_2547)
																		{	/* Unsafe/bm.scm 251 */
																			long BgL_g1058z00_1335;

																			BgL_g1058z00_1335 =
																				(BgL_patlenz00_1325 - 1L);
																			{
																				long BgL_jz00_1337;

																				BgL_jz00_1337 = BgL_g1058z00_1335;
																			BgL_zc3z04anonymousza31306ze3z87_1338:
																				if ((BgL_jz00_1337 < 0L))
																					{	/* Unsafe/bm.scm 251 */
																						long BgL_tmpz00_2553;

																						BgL_tmpz00_2553 =
																							(BgL_iz00_1332 + 1L);
																						return (long) (BgL_tmpz00_2553);
																					}
																				else
																					{	/* Unsafe/bm.scm 251 */
																						bool_t BgL_test1928z00_2556;

																						{	/* Unsafe/bm.scm 251 */
																							unsigned char BgL_arg1341z00_1355;
																							unsigned char BgL_arg1342z00_1356;

																							{	/* Unsafe/bm.scm 251 */
																								long BgL_arg1343z00_1357;

																								BgL_arg1343z00_1357 =
																									(long) (BgL_iz00_1332);
																								{	/* Unsafe/bm.scm 251 */
																									unsigned char
																										BgL_res1837z00_2049;
																									{	/* Unsafe/bm.scm 251 */
																										unsigned char BgL_cz00_2043;

																										BgL_cz00_2043 =
																											BGL_MMAP_REF
																											(BgL_objz00_13,
																											BgL_arg1343z00_1357);
																										{	/* Unsafe/bm.scm 251 */
																											long BgL_arg1833z00_2044;

																											BgL_arg1833z00_2044 =
																												(BgL_arg1343z00_1357 +
																												((long) 1));
																											BGL_MMAP_RP_SET
																												(BgL_objz00_13,
																												BgL_arg1833z00_2044);
																											BUNSPEC;
																											BgL_arg1833z00_2044;
																										}
																										BgL_res1837z00_2049 =
																											BgL_cz00_2043;
																									}
																									BgL_arg1341z00_1355 =
																										BgL_res1837z00_2049;
																							}}
																							BgL_arg1342z00_1356 =
																								STRING_REF(
																								((obj_t) BgL_patz00_1324),
																								BgL_jz00_1337);
																							BgL_test1928z00_2556 =
																								(BgL_arg1341z00_1355 ==
																								BgL_arg1342z00_1356);
																						}
																						if (BgL_test1928z00_2556)
																							{	/* Unsafe/bm.scm 251 */
																								BgL_iz00_1332 =
																									(BgL_iz00_1332 - 1L);
																								{
																									long BgL_jz00_2565;

																									BgL_jz00_2565 =
																										(BgL_jz00_1337 - 1L);
																									BgL_jz00_1337 = BgL_jz00_2565;
																									goto
																										BgL_zc3z04anonymousza31306ze3z87_1338;
																								}
																							}
																						else
																							{	/* Unsafe/bm.scm 251 */
																								long BgL_incz00_1346;

																								{	/* Unsafe/bm.scm 251 */
																									long BgL_az00_1348;
																									long BgL_bz00_1349;

																									{	/* Unsafe/bm.scm 251 */
																										uint32_t
																											BgL_arg1336z00_1351;
																										{	/* Unsafe/bm.scm 251 */
																											long BgL_arg1337z00_1352;

																											{	/* Unsafe/bm.scm 251 */
																												unsigned char
																													BgL_arg1338z00_1353;
																												{	/* Unsafe/bm.scm 251 */
																													unsigned char
																														BgL_res1838z00_2064;
																													{	/* Unsafe/bm.scm 251 */
																														long BgL_iz00_2057;

																														BgL_iz00_2057 =
																															(long)
																															(BgL_iz00_1332);
																														{	/* Unsafe/bm.scm 251 */
																															unsigned char
																																BgL_cz00_2058;
																															BgL_cz00_2058 =
																																BGL_MMAP_REF
																																(BgL_objz00_13,
																																BgL_iz00_2057);
																															{	/* Unsafe/bm.scm 251 */
																																long
																																	BgL_arg1833z00_2059;
																																BgL_arg1833z00_2059
																																	=
																																	(BgL_iz00_2057
																																	+ ((long) 1));
																																BGL_MMAP_RP_SET
																																	(BgL_objz00_13,
																																	BgL_arg1833z00_2059);
																																BUNSPEC;
																																BgL_arg1833z00_2059;
																															}
																															BgL_res1838z00_2064
																																= BgL_cz00_2058;
																													}}
																													BgL_arg1338z00_1353 =
																														BgL_res1838z00_2064;
																												}
																												BgL_arg1337z00_1352 =
																													(BgL_arg1338z00_1353);
																											}
																											BgL_arg1336z00_1351 =
																												BGL_U32VREF
																												(BgL_delta1z00_1327,
																												BgL_arg1337z00_1352);
																										}
																										BgL_az00_1348 =
																											(long)
																											(BgL_arg1336z00_1351);
																									}
																									{	/* Unsafe/bm.scm 251 */
																										uint32_t
																											BgL_arg1339z00_1354;
																										BgL_arg1339z00_1354 =
																											BGL_U32VREF
																											(BgL_delta2z00_1328,
																											BgL_jz00_1337);
																										BgL_bz00_1349 =
																											(long)
																											(BgL_arg1339z00_1354);
																									}
																									if (
																										(BgL_az00_1348 >
																											BgL_bz00_1349))
																										{	/* Unsafe/bm.scm 251 */
																											BgL_incz00_1346 =
																												BgL_az00_1348;
																										}
																									else
																										{	/* Unsafe/bm.scm 251 */
																											BgL_incz00_1346 =
																												BgL_bz00_1349;
																										}
																								}
																								{
																									long BgL_iz00_2578;

																									BgL_iz00_2578 =
																										(BgL_iz00_1332 +
																										BgL_incz00_1346);
																									BgL_iz00_1332 = BgL_iz00_2578;
																									goto
																										BgL_zc3z04anonymousza31304ze3z87_1333;
																								}
																							}
																					}
																			}
																		}
																	else
																		{	/* Unsafe/bm.scm 251 */
																			return (long) ((-1L));
									}}}}}}}}
								else
									{	/* Unsafe/bm.scm 251 */
										obj_t BgL_tmpz00_2581;

										BgL_tmpz00_2581 =
											BGl_errorz00zz__errorz00(BGl_string1870z00zz__bmz00,
											BGl_string1871z00zz__bmz00, BgL_tpz00_12);
										return BELONG_TO_LONG(BgL_tmpz00_2581);
									}
							}
						else
							{	/* Unsafe/bm.scm 251 */
								obj_t BgL_arg1347z00_1362;

								BgL_arg1347z00_1362 = CDR(BgL_tpz00_12);
								{	/* Unsafe/bm.scm 251 */
									obj_t BgL_tmpz00_2585;

									BgL_tmpz00_2585 =
										BGl_bigloozd2typezd2errorz00zz__errorz00
										(BGl_string1870z00zz__bmz00, BGl_symbol1872z00zz__bmz00,
										BgL_arg1347z00_1362);
									return BELONG_TO_LONG(BgL_tmpz00_2585);
								}
							}
					}
				else
					{	/* Unsafe/bm.scm 251 */
						obj_t BgL_arg1351z00_1364;

						BgL_arg1351z00_1364 = CAR(BgL_tpz00_12);
						{	/* Unsafe/bm.scm 251 */
							obj_t BgL_tmpz00_2589;

							BgL_tmpz00_2589 =
								BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_string1870z00zz__bmz00, BGl_symbol1872z00zz__bmz00,
								BgL_arg1351z00_1364);
							return BELONG_TO_LONG(BgL_tmpz00_2589);
						}
					}
			}
		}

	}



/* &bm-mmap */
	obj_t BGl_z62bmzd2mmapzb0zz__bmz00(obj_t BgL_envz00_2377,
		obj_t BgL_tpz00_2378, obj_t BgL_objz00_2379, obj_t BgL_mz00_2380)
	{
		{	/* Unsafe/bm.scm 250 */
			{	/* Unsafe/bm.scm 251 */
				long BgL_tmpz00_2592;

				{	/* Unsafe/bm.scm 251 */
					long BgL_auxz00_2607;
					obj_t BgL_auxz00_2600;
					obj_t BgL_auxz00_2593;

					{	/* Unsafe/bm.scm 251 */
						obj_t BgL_tmpz00_2608;

						if (ELONGP(BgL_mz00_2380))
							{	/* Unsafe/bm.scm 251 */
								BgL_tmpz00_2608 = BgL_mz00_2380;
							}
						else
							{
								obj_t BgL_auxz00_2611;

								BgL_auxz00_2611 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1867z00zz__bmz00,
									BINT(11306L), BGl_string1874z00zz__bmz00,
									BGl_string1877z00zz__bmz00, BgL_mz00_2380);
								FAILURE(BgL_auxz00_2611, BFALSE, BFALSE);
							}
						BgL_auxz00_2607 = BELONG_TO_LONG(BgL_tmpz00_2608);
					}
					if (BGL_MMAPP(BgL_objz00_2379))
						{	/* Unsafe/bm.scm 251 */
							BgL_auxz00_2600 = BgL_objz00_2379;
						}
					else
						{
							obj_t BgL_auxz00_2603;

							BgL_auxz00_2603 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1867z00zz__bmz00,
								BINT(11306L), BGl_string1874z00zz__bmz00,
								BGl_string1876z00zz__bmz00, BgL_objz00_2379);
							FAILURE(BgL_auxz00_2603, BFALSE, BFALSE);
						}
					if (EPAIRP(BgL_tpz00_2378))
						{	/* Unsafe/bm.scm 251 */
							BgL_auxz00_2593 = BgL_tpz00_2378;
						}
					else
						{
							obj_t BgL_auxz00_2596;

							BgL_auxz00_2596 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1867z00zz__bmz00,
								BINT(11306L), BGl_string1874z00zz__bmz00,
								BGl_string1875z00zz__bmz00, BgL_tpz00_2378);
							FAILURE(BgL_auxz00_2596, BFALSE, BFALSE);
						}
					BgL_tmpz00_2592 =
						BGl_bmzd2mmapzd2zz__bmz00(BgL_auxz00_2593, BgL_auxz00_2600,
						BgL_auxz00_2607);
				}
				return make_belong(BgL_tmpz00_2592);
			}
		}

	}



/* bm-string */
	BGL_EXPORTED_DEF long BGl_bmzd2stringzd2zz__bmz00(obj_t BgL_tpz00_15,
		obj_t BgL_objz00_16, long BgL_mz00_17)
	{
		{	/* Unsafe/bm.scm 256 */
			{	/* Unsafe/bm.scm 257 */
				bool_t BgL_test1933z00_2618;

				{	/* Unsafe/bm.scm 257 */
					obj_t BgL_tmpz00_2619;

					BgL_tmpz00_2619 = CAR(BgL_tpz00_15);
					BgL_test1933z00_2618 = BGL_U32VECTORP(BgL_tmpz00_2619);
				}
				if (BgL_test1933z00_2618)
					{	/* Unsafe/bm.scm 257 */
						bool_t BgL_test1934z00_2622;

						{	/* Unsafe/bm.scm 257 */
							obj_t BgL_tmpz00_2623;

							BgL_tmpz00_2623 = CDR(BgL_tpz00_15);
							BgL_test1934z00_2622 = BGL_U32VECTORP(BgL_tmpz00_2623);
						}
						if (BgL_test1934z00_2622)
							{	/* Unsafe/bm.scm 257 */
								bool_t BgL_test1935z00_2626;

								{	/* Unsafe/bm.scm 257 */
									obj_t BgL_tmpz00_2627;

									BgL_tmpz00_2627 = CER(BgL_tpz00_15);
									BgL_test1935z00_2626 = STRINGP(BgL_tmpz00_2627);
								}
								if (BgL_test1935z00_2626)
									{	/* Unsafe/bm.scm 257 */
										obj_t BgL_patz00_1372;

										BgL_patz00_1372 = CER(BgL_tpz00_15);
										{	/* Unsafe/bm.scm 257 */
											long BgL_patlenz00_1373;

											BgL_patlenz00_1373 =
												STRING_LENGTH(((obj_t) BgL_patz00_1372));
											{	/* Unsafe/bm.scm 257 */

												if ((BgL_patlenz00_1373 == 0L))
													{	/* Unsafe/bm.scm 257 */
														return (-1L);
													}
												else
													{	/* Unsafe/bm.scm 257 */
														obj_t BgL_delta1z00_1375;
														obj_t BgL_delta2z00_1376;
														long BgL_strlenz00_1377;

														BgL_delta1z00_1375 = CAR(BgL_tpz00_15);
														BgL_delta2z00_1376 = CDR(BgL_tpz00_15);
														BgL_strlenz00_1377 = STRING_LENGTH(BgL_objz00_16);
														{	/* Unsafe/bm.scm 257 */
															long BgL_g1059z00_1378;

															BgL_g1059z00_1378 =
																(BgL_mz00_17 + (BgL_patlenz00_1373 - 1L));
															{
																long BgL_iz00_1380;

																BgL_iz00_1380 = BgL_g1059z00_1378;
															BgL_zc3z04anonymousza31360ze3z87_1381:
																if ((BgL_iz00_1380 < BgL_strlenz00_1377))
																	{	/* Unsafe/bm.scm 257 */
																		long BgL_g1060z00_1383;

																		BgL_g1060z00_1383 =
																			(BgL_patlenz00_1373 - 1L);
																		{
																			long BgL_jz00_1385;

																			BgL_jz00_1385 = BgL_g1060z00_1383;
																		BgL_zc3z04anonymousza31362ze3z87_1386:
																			if ((BgL_jz00_1385 < 0L))
																				{	/* Unsafe/bm.scm 257 */
																					return (BgL_iz00_1380 + 1L);
																				}
																			else
																				{	/* Unsafe/bm.scm 257 */
																					bool_t BgL_test1939z00_2646;

																					{	/* Unsafe/bm.scm 257 */
																						unsigned char BgL_arg1376z00_1404;

																						BgL_arg1376z00_1404 =
																							STRING_REF(BgL_objz00_16,
																							BgL_iz00_1380);
																						BgL_test1939z00_2646 =
																							(BgL_arg1376z00_1404 ==
																							STRING_REF(((obj_t)
																									BgL_patz00_1372),
																								BgL_jz00_1385));
																					}
																					if (BgL_test1939z00_2646)
																						{	/* Unsafe/bm.scm 257 */
																							BgL_iz00_1380 =
																								(BgL_iz00_1380 - 1L);
																							{
																								long BgL_jz00_2652;

																								BgL_jz00_2652 =
																									(BgL_jz00_1385 - 1L);
																								BgL_jz00_1385 = BgL_jz00_2652;
																								goto
																									BgL_zc3z04anonymousza31362ze3z87_1386;
																							}
																						}
																					else
																						{	/* Unsafe/bm.scm 257 */
																							long BgL_incz00_1395;

																							{	/* Unsafe/bm.scm 257 */
																								long BgL_az00_1397;
																								long BgL_bz00_1398;

																								{	/* Unsafe/bm.scm 257 */
																									uint32_t BgL_arg1371z00_1400;

																									{	/* Unsafe/bm.scm 257 */
																										long BgL_tmpz00_2654;

																										BgL_tmpz00_2654 =
																											(STRING_REF(BgL_objz00_16,
																												BgL_iz00_1380));
																										BgL_arg1371z00_1400 =
																											BGL_U32VREF
																											(BgL_delta1z00_1375,
																											BgL_tmpz00_2654);
																									}
																									BgL_az00_1397 =
																										(long)
																										(BgL_arg1371z00_1400);
																								}
																								{	/* Unsafe/bm.scm 257 */
																									uint32_t BgL_arg1374z00_1403;

																									BgL_arg1374z00_1403 =
																										BGL_U32VREF
																										(BgL_delta2z00_1376,
																										BgL_jz00_1385);
																									BgL_bz00_1398 =
																										(long)
																										(BgL_arg1374z00_1403);
																								}
																								if (
																									(BgL_az00_1397 >
																										BgL_bz00_1398))
																									{	/* Unsafe/bm.scm 257 */
																										BgL_incz00_1395 =
																											BgL_az00_1397;
																									}
																								else
																									{	/* Unsafe/bm.scm 257 */
																										BgL_incz00_1395 =
																											BgL_bz00_1398;
																									}
																							}
																							{
																								long BgL_iz00_2663;

																								BgL_iz00_2663 =
																									(BgL_iz00_1380 +
																									BgL_incz00_1395);
																								BgL_iz00_1380 = BgL_iz00_2663;
																								goto
																									BgL_zc3z04anonymousza31360ze3z87_1381;
																							}
																						}
																				}
																		}
																	}
																else
																	{	/* Unsafe/bm.scm 257 */
																		return (-1L);
																	}
															}
														}
													}
											}
										}
									}
								else
									{	/* Unsafe/bm.scm 257 */
										return
											(long)
											CINT(BGl_errorz00zz__errorz00(BGl_string1870z00zz__bmz00,
												BGl_string1871z00zz__bmz00, BgL_tpz00_15));
							}}
						else
							{	/* Unsafe/bm.scm 257 */
								obj_t BgL_arg1381z00_1413;

								BgL_arg1381z00_1413 = CDR(BgL_tpz00_15);
								return
									(long)
									CINT(BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_string1870z00zz__bmz00, BGl_symbol1872z00zz__bmz00,
										BgL_arg1381z00_1413));
					}}
				else
					{	/* Unsafe/bm.scm 257 */
						obj_t BgL_arg1383z00_1415;

						BgL_arg1383z00_1415 = CAR(BgL_tpz00_15);
						return
							(long)
							CINT(BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_string1870z00zz__bmz00, BGl_symbol1872z00zz__bmz00,
								BgL_arg1383z00_1415));
		}}}

	}



/* &bm-string */
	obj_t BGl_z62bmzd2stringzb0zz__bmz00(obj_t BgL_envz00_2381,
		obj_t BgL_tpz00_2382, obj_t BgL_objz00_2383, obj_t BgL_mz00_2384)
	{
		{	/* Unsafe/bm.scm 256 */
			{	/* Unsafe/bm.scm 257 */
				long BgL_tmpz00_2673;

				{	/* Unsafe/bm.scm 257 */
					long BgL_auxz00_2688;
					obj_t BgL_auxz00_2681;
					obj_t BgL_auxz00_2674;

					{	/* Unsafe/bm.scm 257 */
						obj_t BgL_tmpz00_2689;

						if (INTEGERP(BgL_mz00_2384))
							{	/* Unsafe/bm.scm 257 */
								BgL_tmpz00_2689 = BgL_mz00_2384;
							}
						else
							{
								obj_t BgL_auxz00_2692;

								BgL_auxz00_2692 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1867z00zz__bmz00,
									BINT(11609L), BGl_string1878z00zz__bmz00,
									BGl_string1879z00zz__bmz00, BgL_mz00_2384);
								FAILURE(BgL_auxz00_2692, BFALSE, BFALSE);
							}
						BgL_auxz00_2688 = (long) CINT(BgL_tmpz00_2689);
					}
					if (STRINGP(BgL_objz00_2383))
						{	/* Unsafe/bm.scm 257 */
							BgL_auxz00_2681 = BgL_objz00_2383;
						}
					else
						{
							obj_t BgL_auxz00_2684;

							BgL_auxz00_2684 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1867z00zz__bmz00,
								BINT(11609L), BGl_string1878z00zz__bmz00,
								BGl_string1869z00zz__bmz00, BgL_objz00_2383);
							FAILURE(BgL_auxz00_2684, BFALSE, BFALSE);
						}
					if (EPAIRP(BgL_tpz00_2382))
						{	/* Unsafe/bm.scm 257 */
							BgL_auxz00_2674 = BgL_tpz00_2382;
						}
					else
						{
							obj_t BgL_auxz00_2677;

							BgL_auxz00_2677 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1867z00zz__bmz00,
								BINT(11609L), BGl_string1878z00zz__bmz00,
								BGl_string1875z00zz__bmz00, BgL_tpz00_2382);
							FAILURE(BgL_auxz00_2677, BFALSE, BFALSE);
						}
					BgL_tmpz00_2673 =
						BGl_bmzd2stringzd2zz__bmz00(BgL_auxz00_2674, BgL_auxz00_2681,
						BgL_auxz00_2688);
				}
				return BINT(BgL_tmpz00_2673);
			}
		}

	}



/* bmh-table */
	BGL_EXPORTED_DEF obj_t BGl_bmhzd2tablezd2zz__bmz00(obj_t BgL_patz00_18)
	{
		{	/* Unsafe/bm.scm 262 */
			{	/* Unsafe/bm.scm 263 */
				obj_t BgL_delta1z00_2110;

				{	/* Unsafe/bm.scm 263 */

					BgL_delta1z00_2110 =
						BGl_makezd2u32vectorzd2zz__srfi4z00(256L, (uint32_t) (0));
				}
				BGl_makezd2delta1zd2zz__bmz00(BgL_delta1z00_2110, BgL_patz00_18);
				return MAKE_YOUNG_PAIR(BgL_delta1z00_2110, BgL_patz00_18);
			}
		}

	}



/* &bmh-table */
	obj_t BGl_z62bmhzd2tablezb0zz__bmz00(obj_t BgL_envz00_2385,
		obj_t BgL_patz00_2386)
	{
		{	/* Unsafe/bm.scm 262 */
			{	/* Unsafe/bm.scm 263 */
				obj_t BgL_auxz00_2702;

				if (STRINGP(BgL_patz00_2386))
					{	/* Unsafe/bm.scm 263 */
						BgL_auxz00_2702 = BgL_patz00_2386;
					}
				else
					{
						obj_t BgL_auxz00_2705;

						BgL_auxz00_2705 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1867z00zz__bmz00,
							BINT(11921L), BGl_string1880z00zz__bmz00,
							BGl_string1869z00zz__bmz00, BgL_patz00_2386);
						FAILURE(BgL_auxz00_2705, BFALSE, BFALSE);
					}
				return BGl_bmhzd2tablezd2zz__bmz00(BgL_auxz00_2702);
			}
		}

	}



/* bmh-mmap */
	BGL_EXPORTED_DEF long BGl_bmhzd2mmapzd2zz__bmz00(obj_t BgL_tpz00_19,
		obj_t BgL_objz00_20, long BgL_mz00_21)
	{
		{	/* Unsafe/bm.scm 327 */
			{	/* Unsafe/bm.scm 328 */
				bool_t BgL_test1945z00_2710;

				{	/* Unsafe/bm.scm 328 */
					obj_t BgL_tmpz00_2711;

					BgL_tmpz00_2711 = CAR(BgL_tpz00_19);
					BgL_test1945z00_2710 = BGL_U32VECTORP(BgL_tmpz00_2711);
				}
				if (BgL_test1945z00_2710)
					{	/* Unsafe/bm.scm 328 */
						bool_t BgL_test1946z00_2714;

						{	/* Unsafe/bm.scm 328 */
							obj_t BgL_tmpz00_2715;

							BgL_tmpz00_2715 = CDR(BgL_tpz00_19);
							BgL_test1946z00_2714 = STRINGP(BgL_tmpz00_2715);
						}
						if (BgL_test1946z00_2714)
							{	/* Unsafe/bm.scm 328 */
								obj_t BgL_patz00_1425;

								BgL_patz00_1425 = CDR(BgL_tpz00_19);
								{	/* Unsafe/bm.scm 328 */
									long BgL_patlenz00_1426;

									BgL_patlenz00_1426 = STRING_LENGTH(((obj_t) BgL_patz00_1425));
									{	/* Unsafe/bm.scm 328 */

										if ((BgL_patlenz00_1426 == 0L))
											{	/* Unsafe/bm.scm 328 */
												return (long) ((-1L));
											}
										else
											{	/* Unsafe/bm.scm 328 */
												obj_t BgL_delta1z00_1428;
												long BgL_strlenz00_1429;

												BgL_delta1z00_1428 = CAR(BgL_tpz00_19);
												BgL_strlenz00_1429 = BGL_MMAP_LENGTH(BgL_objz00_20);
												{
													long BgL_skipz00_1431;

													BgL_skipz00_1431 = 0L;
												BgL_zc3z04anonymousza31391ze3z87_1432:
													{	/* Unsafe/bm.scm 328 */
														bool_t BgL_test1948z00_2726;

														{	/* Unsafe/bm.scm 328 */
															long BgL_tmpz00_2727;

															{	/* Unsafe/bm.scm 328 */
																long BgL_za71za7_2121;

																BgL_za71za7_2121 = (long) (BgL_strlenz00_1429);
																BgL_tmpz00_2727 =
																	(BgL_za71za7_2121 - BgL_skipz00_1431);
															}
															BgL_test1948z00_2726 =
																(BgL_tmpz00_2727 >= BgL_patlenz00_1426);
														}
														if (BgL_test1948z00_2726)
															{	/* Unsafe/bm.scm 328 */
																long BgL_g1064z00_1435;

																BgL_g1064z00_1435 = (BgL_patlenz00_1426 - 1L);
																{
																	long BgL_iz00_1437;

																	BgL_iz00_1437 = BgL_g1064z00_1435;
																BgL_zc3z04anonymousza31394ze3z87_1438:
																	{	/* Unsafe/bm.scm 328 */
																		bool_t BgL_test1949z00_2732;

																		{	/* Unsafe/bm.scm 328 */
																			unsigned char BgL_arg1409z00_1452;
																			unsigned char BgL_arg1410z00_1453;

																			{	/* Unsafe/bm.scm 328 */
																				long BgL_arg1411z00_1454;

																				BgL_arg1411z00_1454 =
																					(BgL_skipz00_1431 + BgL_iz00_1437);
																				{	/* Unsafe/bm.scm 328 */
																					unsigned char BgL_res1839z00_2136;

																					{	/* Unsafe/bm.scm 328 */
																						long BgL_iz00_2129;

																						BgL_iz00_2129 =
																							(long) (BgL_arg1411z00_1454);
																						{	/* Unsafe/bm.scm 328 */
																							unsigned char BgL_cz00_2130;

																							BgL_cz00_2130 =
																								BGL_MMAP_REF(BgL_objz00_20,
																								BgL_iz00_2129);
																							{	/* Unsafe/bm.scm 328 */
																								long BgL_arg1833z00_2131;

																								BgL_arg1833z00_2131 =
																									(BgL_iz00_2129 + ((long) 1));
																								BGL_MMAP_RP_SET(BgL_objz00_20,
																									BgL_arg1833z00_2131);
																								BUNSPEC;
																								BgL_arg1833z00_2131;
																							}
																							BgL_res1839z00_2136 =
																								BgL_cz00_2130;
																					}}
																					BgL_arg1409z00_1452 =
																						BgL_res1839z00_2136;
																			}}
																			BgL_arg1410z00_1453 =
																				STRING_REF(
																				((obj_t) BgL_patz00_1425),
																				BgL_iz00_1437);
																			BgL_test1949z00_2732 =
																				(BgL_arg1409z00_1452 ==
																				BgL_arg1410z00_1453);
																		}
																		if (BgL_test1949z00_2732)
																			{	/* Unsafe/bm.scm 328 */
																				if ((BgL_iz00_1437 == 0L))
																					{	/* Unsafe/bm.scm 328 */
																						return (long) (BgL_skipz00_1431);
																					}
																				else
																					{
																						long BgL_iz00_2744;

																						BgL_iz00_2744 =
																							(BgL_iz00_1437 - 1L);
																						BgL_iz00_1437 = BgL_iz00_2744;
																						goto
																							BgL_zc3z04anonymousza31394ze3z87_1438;
																					}
																			}
																		else
																			{	/* Unsafe/bm.scm 328 */
																				long BgL_arg1401z00_1445;

																				{	/* Unsafe/bm.scm 328 */
																					long BgL_arg1402z00_1446;

																					{	/* Unsafe/bm.scm 328 */
																						uint32_t BgL_arg1403z00_1447;

																						{	/* Unsafe/bm.scm 328 */
																							long BgL_arg1404z00_1448;

																							{	/* Unsafe/bm.scm 328 */
																								unsigned char
																									BgL_arg1405z00_1449;
																								{	/* Unsafe/bm.scm 328 */
																									long BgL_arg1407z00_1450;

																									BgL_arg1407z00_1450 =
																										(BgL_skipz00_1431 +
																										(BgL_patlenz00_1426 - 1L));
																									{	/* Unsafe/bm.scm 328 */
																										unsigned char
																											BgL_res1840z00_2155;
																										{	/* Unsafe/bm.scm 328 */
																											long BgL_iz00_2148;

																											BgL_iz00_2148 =
																												(long)
																												(BgL_arg1407z00_1450);
																											{	/* Unsafe/bm.scm 328 */
																												unsigned char
																													BgL_cz00_2149;
																												BgL_cz00_2149 =
																													BGL_MMAP_REF
																													(BgL_objz00_20,
																													BgL_iz00_2148);
																												{	/* Unsafe/bm.scm 328 */
																													long
																														BgL_arg1833z00_2150;
																													BgL_arg1833z00_2150 =
																														(BgL_iz00_2148 +
																														((long) 1));
																													BGL_MMAP_RP_SET
																														(BgL_objz00_20,
																														BgL_arg1833z00_2150);
																													BUNSPEC;
																													BgL_arg1833z00_2150;
																												}
																												BgL_res1840z00_2155 =
																													BgL_cz00_2149;
																										}}
																										BgL_arg1405z00_1449 =
																											BgL_res1840z00_2155;
																								}}
																								BgL_arg1404z00_1448 =
																									(BgL_arg1405z00_1449);
																							}
																							BgL_arg1403z00_1447 =
																								BGL_U32VREF(BgL_delta1z00_1428,
																								BgL_arg1404z00_1448);
																						}
																						BgL_arg1402z00_1446 =
																							(long) (BgL_arg1403z00_1447);
																					}
																					BgL_arg1401z00_1445 =
																						(BgL_skipz00_1431 +
																						BgL_arg1402z00_1446);
																				}
																				{
																					long BgL_skipz00_2756;

																					BgL_skipz00_2756 =
																						BgL_arg1401z00_1445;
																					BgL_skipz00_1431 = BgL_skipz00_2756;
																					goto
																						BgL_zc3z04anonymousza31391ze3z87_1432;
																				}
																			}
																	}
																}
															}
														else
															{	/* Unsafe/bm.scm 328 */
																return (long) ((-1L));
							}}}}}}}
						else
							{	/* Unsafe/bm.scm 328 */
								obj_t BgL_tmpz00_2758;

								BgL_tmpz00_2758 =
									BGl_errorz00zz__errorz00(BGl_string1881z00zz__bmz00,
									BGl_string1882z00zz__bmz00, BgL_tpz00_19);
								return BELONG_TO_LONG(BgL_tmpz00_2758);
							}
					}
				else
					{	/* Unsafe/bm.scm 328 */
						obj_t BgL_arg1414z00_1459;

						BgL_arg1414z00_1459 = CAR(BgL_tpz00_19);
						{	/* Unsafe/bm.scm 328 */
							obj_t BgL_tmpz00_2762;

							BgL_tmpz00_2762 =
								BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_string1881z00zz__bmz00, BGl_symbol1872z00zz__bmz00,
								BgL_arg1414z00_1459);
							return BELONG_TO_LONG(BgL_tmpz00_2762);
						}
					}
			}
		}

	}



/* &bmh-mmap */
	obj_t BGl_z62bmhzd2mmapzb0zz__bmz00(obj_t BgL_envz00_2387,
		obj_t BgL_tpz00_2388, obj_t BgL_objz00_2389, obj_t BgL_mz00_2390)
	{
		{	/* Unsafe/bm.scm 327 */
			{	/* Unsafe/bm.scm 328 */
				long BgL_tmpz00_2765;

				{	/* Unsafe/bm.scm 328 */
					long BgL_auxz00_2780;
					obj_t BgL_auxz00_2773;
					obj_t BgL_auxz00_2766;

					{	/* Unsafe/bm.scm 328 */
						obj_t BgL_tmpz00_2781;

						if (ELONGP(BgL_mz00_2390))
							{	/* Unsafe/bm.scm 328 */
								BgL_tmpz00_2781 = BgL_mz00_2390;
							}
						else
							{
								obj_t BgL_auxz00_2784;

								BgL_auxz00_2784 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1867z00zz__bmz00,
									BINT(14503L), BGl_string1883z00zz__bmz00,
									BGl_string1877z00zz__bmz00, BgL_mz00_2390);
								FAILURE(BgL_auxz00_2784, BFALSE, BFALSE);
							}
						BgL_auxz00_2780 = BELONG_TO_LONG(BgL_tmpz00_2781);
					}
					if (BGL_MMAPP(BgL_objz00_2389))
						{	/* Unsafe/bm.scm 328 */
							BgL_auxz00_2773 = BgL_objz00_2389;
						}
					else
						{
							obj_t BgL_auxz00_2776;

							BgL_auxz00_2776 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1867z00zz__bmz00,
								BINT(14503L), BGl_string1883z00zz__bmz00,
								BGl_string1876z00zz__bmz00, BgL_objz00_2389);
							FAILURE(BgL_auxz00_2776, BFALSE, BFALSE);
						}
					if (EPAIRP(BgL_tpz00_2388))
						{	/* Unsafe/bm.scm 328 */
							BgL_auxz00_2766 = BgL_tpz00_2388;
						}
					else
						{
							obj_t BgL_auxz00_2769;

							BgL_auxz00_2769 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1867z00zz__bmz00,
								BINT(14503L), BGl_string1883z00zz__bmz00,
								BGl_string1875z00zz__bmz00, BgL_tpz00_2388);
							FAILURE(BgL_auxz00_2769, BFALSE, BFALSE);
						}
					BgL_tmpz00_2765 =
						BGl_bmhzd2mmapzd2zz__bmz00(BgL_auxz00_2766, BgL_auxz00_2773,
						BgL_auxz00_2780);
				}
				return make_belong(BgL_tmpz00_2765);
			}
		}

	}



/* bmh-string */
	BGL_EXPORTED_DEF long BGl_bmhzd2stringzd2zz__bmz00(obj_t BgL_tpz00_22,
		obj_t BgL_objz00_23, long BgL_mz00_24)
	{
		{	/* Unsafe/bm.scm 333 */
			{	/* Unsafe/bm.scm 334 */
				bool_t BgL_test1954z00_2791;

				{	/* Unsafe/bm.scm 334 */
					obj_t BgL_tmpz00_2792;

					BgL_tmpz00_2792 = CAR(BgL_tpz00_22);
					BgL_test1954z00_2791 = BGL_U32VECTORP(BgL_tmpz00_2792);
				}
				if (BgL_test1954z00_2791)
					{	/* Unsafe/bm.scm 334 */
						bool_t BgL_test1955z00_2795;

						{	/* Unsafe/bm.scm 334 */
							obj_t BgL_tmpz00_2796;

							BgL_tmpz00_2796 = CDR(BgL_tpz00_22);
							BgL_test1955z00_2795 = STRINGP(BgL_tmpz00_2796);
						}
						if (BgL_test1955z00_2795)
							{	/* Unsafe/bm.scm 334 */
								obj_t BgL_patz00_1465;

								BgL_patz00_1465 = CDR(BgL_tpz00_22);
								{	/* Unsafe/bm.scm 334 */
									long BgL_patlenz00_1466;

									BgL_patlenz00_1466 = STRING_LENGTH(((obj_t) BgL_patz00_1465));
									{	/* Unsafe/bm.scm 334 */

										if ((BgL_patlenz00_1466 == 0L))
											{	/* Unsafe/bm.scm 334 */
												return (-1L);
											}
										else
											{	/* Unsafe/bm.scm 334 */
												obj_t BgL_delta1z00_1468;
												long BgL_strlenz00_1469;

												BgL_delta1z00_1468 = CAR(BgL_tpz00_22);
												BgL_strlenz00_1469 = STRING_LENGTH(BgL_objz00_23);
												{
													long BgL_skipz00_1471;

													BgL_skipz00_1471 = 0L;
												BgL_zc3z04anonymousza31422ze3z87_1472:
													if (
														((BgL_strlenz00_1469 - BgL_skipz00_1471) >=
															BgL_patlenz00_1466))
														{	/* Unsafe/bm.scm 334 */
															long BgL_g1065z00_1475;

															BgL_g1065z00_1475 = (BgL_patlenz00_1466 - 1L);
															{
																long BgL_iz00_1477;

																BgL_iz00_1477 = BgL_g1065z00_1475;
															BgL_zc3z04anonymousza31425ze3z87_1478:
																if (
																	(STRING_REF(BgL_objz00_23,
																			(BgL_skipz00_1471 + BgL_iz00_1477)) ==
																		STRING_REF(
																			((obj_t) BgL_patz00_1465),
																			BgL_iz00_1477)))
																	{	/* Unsafe/bm.scm 334 */
																		if ((BgL_iz00_1477 == 0L))
																			{	/* Unsafe/bm.scm 334 */
																				return BgL_skipz00_1471;
																			}
																		else
																			{
																				long BgL_iz00_2818;

																				BgL_iz00_2818 = (BgL_iz00_1477 - 1L);
																				BgL_iz00_1477 = BgL_iz00_2818;
																				goto
																					BgL_zc3z04anonymousza31425ze3z87_1478;
																			}
																	}
																else
																	{	/* Unsafe/bm.scm 334 */
																		long BgL_arg1432z00_1486;

																		{	/* Unsafe/bm.scm 334 */
																			long BgL_arg1433z00_1487;

																			{	/* Unsafe/bm.scm 334 */
																				uint32_t BgL_arg1434z00_1488;

																				{	/* Unsafe/bm.scm 334 */
																					long BgL_tmpz00_2820;

																					BgL_tmpz00_2820 =
																						(STRING_REF(BgL_objz00_23,
																							(BgL_skipz00_1471 +
																								(BgL_patlenz00_1466 - 1L))));
																					BgL_arg1434z00_1488 =
																						BGL_U32VREF(BgL_delta1z00_1468,
																						BgL_tmpz00_2820);
																				}
																				BgL_arg1433z00_1487 =
																					(long) (BgL_arg1434z00_1488);
																			}
																			BgL_arg1432z00_1486 =
																				(BgL_skipz00_1471 +
																				BgL_arg1433z00_1487);
																		}
																		{
																			long BgL_skipz00_2828;

																			BgL_skipz00_2828 = BgL_arg1432z00_1486;
																			BgL_skipz00_1471 = BgL_skipz00_2828;
																			goto
																				BgL_zc3z04anonymousza31422ze3z87_1472;
																		}
																	}
															}
														}
													else
														{	/* Unsafe/bm.scm 334 */
															return (-1L);
														}
												}
											}
									}
								}
							}
						else
							{	/* Unsafe/bm.scm 334 */
								return
									(long)
									CINT(BGl_errorz00zz__errorz00(BGl_string1881z00zz__bmz00,
										BGl_string1882z00zz__bmz00, BgL_tpz00_22));
					}}
				else
					{	/* Unsafe/bm.scm 334 */
						obj_t BgL_arg1446z00_1501;

						BgL_arg1446z00_1501 = CAR(BgL_tpz00_22);
						return
							(long)
							CINT(BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_string1881z00zz__bmz00, BGl_symbol1872z00zz__bmz00,
								BgL_arg1446z00_1501));
		}}}

	}



/* &bmh-string */
	obj_t BGl_z62bmhzd2stringzb0zz__bmz00(obj_t BgL_envz00_2391,
		obj_t BgL_tpz00_2392, obj_t BgL_objz00_2393, obj_t BgL_mz00_2394)
	{
		{	/* Unsafe/bm.scm 333 */
			{	/* Unsafe/bm.scm 334 */
				long BgL_tmpz00_2834;

				{	/* Unsafe/bm.scm 334 */
					long BgL_auxz00_2849;
					obj_t BgL_auxz00_2842;
					obj_t BgL_auxz00_2835;

					{	/* Unsafe/bm.scm 334 */
						obj_t BgL_tmpz00_2850;

						if (INTEGERP(BgL_mz00_2394))
							{	/* Unsafe/bm.scm 334 */
								BgL_tmpz00_2850 = BgL_mz00_2394;
							}
						else
							{
								obj_t BgL_auxz00_2853;

								BgL_auxz00_2853 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1867z00zz__bmz00,
									BINT(14808L), BGl_string1884z00zz__bmz00,
									BGl_string1879z00zz__bmz00, BgL_mz00_2394);
								FAILURE(BgL_auxz00_2853, BFALSE, BFALSE);
							}
						BgL_auxz00_2849 = (long) CINT(BgL_tmpz00_2850);
					}
					if (STRINGP(BgL_objz00_2393))
						{	/* Unsafe/bm.scm 334 */
							BgL_auxz00_2842 = BgL_objz00_2393;
						}
					else
						{
							obj_t BgL_auxz00_2845;

							BgL_auxz00_2845 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1867z00zz__bmz00,
								BINT(14808L), BGl_string1884z00zz__bmz00,
								BGl_string1869z00zz__bmz00, BgL_objz00_2393);
							FAILURE(BgL_auxz00_2845, BFALSE, BFALSE);
						}
					if (EPAIRP(BgL_tpz00_2392))
						{	/* Unsafe/bm.scm 334 */
							BgL_auxz00_2835 = BgL_tpz00_2392;
						}
					else
						{
							obj_t BgL_auxz00_2838;

							BgL_auxz00_2838 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1867z00zz__bmz00,
								BINT(14808L), BGl_string1884z00zz__bmz00,
								BGl_string1875z00zz__bmz00, BgL_tpz00_2392);
							FAILURE(BgL_auxz00_2838, BFALSE, BFALSE);
						}
					BgL_tmpz00_2834 =
						BGl_bmhzd2stringzd2zz__bmz00(BgL_auxz00_2835, BgL_auxz00_2842,
						BgL_auxz00_2849);
				}
				return BINT(BgL_tmpz00_2834);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__bmz00(void)
	{
		{	/* Unsafe/bm.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__bmz00(void)
	{
		{	/* Unsafe/bm.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__bmz00(void)
	{
		{	/* Unsafe/bm.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__bmz00(void)
	{
		{	/* Unsafe/bm.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1885z00zz__bmz00));
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string1885z00zz__bmz00));
		}

	}

#ifdef __cplusplus
}
#endif
